package conm.zhentao.util;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Component;

@Component
public class RedisUtil {

    @Autowired
    private RedisTemplate<String, String> redisTemplate;

    public long getUserIdFromToken(String token) {
        String userId = redisTemplate.opsForValue().get("token:" + token);
        if (userId == null) {
            throw new RuntimeException("Token无效或已过期");
        }
        return Long.parseLong(userId);
    }
} 